English

Bug: mwcheck_platform generates [FAILED] error message for Solaris 10 and Red Hat ES 4.0

Description

The mwcheck_platform program generates a [FAILED] error message for Solaris 10 and Red Hat Linux ES 4.0 during the installation process for ArcIMS 9.1.

On Red Hat, the following error is displayed in the MWSysReq.log file:

Code:
Product: OS Version: OSComp : RHEL-AS4 : SuSE-SLES-9 || SuSE-SLES-8 ||
RHL-7.3 || RHL-8.0 || RHL-9 || RHEL-WS3 || RHEL-AS3 || RHEL-ES3 : [FAILED]

On Solaris, the following error is displayed in the MWSysReq.log file:

Code:
Product: OS Version : OSComp : 5.10 : 2.6 || 7 || 8 || 9 : [FAILED]

Cause

This error message occurs because the ArcIMS 9.1 release was built using MainWin 5.0.2 which does not explicitly support these platforms.

Workaround

Ignore the error message for ArcIMS 9.1 installations on Solaris 10 and Red Hat Linux Enterprise Server 4.0.